Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 829841 - media-gfx/freecad-0.19.2 please stabilize
Summary: media-gfx/freecad-0.19.2 please stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernd
URL:
Whiteboard:
Keywords: CC-ARCHES, STABLEREQ
Depends on: 840776 836683 845375
Blocks:
  Show dependency tree
 
Reported: 2021-12-22 21:55 UTC by Maxim Ganetsky
Modified: 2022-05-19 12:11 UTC (History)
6 users (show)

See Also:
Package list:
media-gfx/freecad-0.19.4-r1 amd64 sci-libs/opencascade-7.5.3-r6 amd64 sci-libs/pcl-1.12.0 amd64 dev-libs/OpenNI2-2.2_beta2-r1 amd64 sci-libs/orocos_kdl-1.5.1 amd64 sci-libs/vtk-9.0.3-r4 amd64 dev-libs/pegtl-2.8.3-r1 amd64 sci-libs/kissfft-131.1.0 amd64 dev-libs/OpenNI-1.5.7.10-r2 amd64
Runtime testing required: ---
nattka: sanity-check+


Attachments
opencascade-7.5.3-r6:20220518-081231.log.xz (opencascade-7.5.3-r6:20220518-081231.log.xz,157.37 KB, text/plain)
2022-05-18 14:27 UTC, Joonas Niilola
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Ganetsky 2021-12-22 21:55:31 UTC
Please consider stabilizing media-gfx/freecad-0.19.2.
Comment 1 Bernd 2021-12-22 22:30:09 UTC
Several dependencies of freecad are still unstable, including some big packages like opencascade and vtk, which probably are themselves having deps which are not stabilized.

I was already working towards this goal, by stabilizing openscad and med in the past. Still it's challenging for packages with such a big amount of dependencies.

Keeping this in mind as a goal, but note it can still take some time until it can be realised.
Comment 2 Maxim Ganetsky 2021-12-22 22:36:53 UTC
Yes, I understand, FreeCAD is big and complicated indeed. Thanks for your work!
Comment 3 NATTkA bot gentoo-dev 2022-01-31 01:24:35 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2022-02-03 15:56:29 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2022-02-03 18:00:32 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2022-02-03 18:08:33 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2022-02-03 18:16:35 UTC Comment hidden (obsolete)
Comment 8 NATTkA bot gentoo-dev 2022-03-19 16:16:29 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2022-03-19 21:40:32 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2022-04-02 13:00:33 UTC Comment hidden (obsolete)
Comment 11 Bernd 2022-04-02 13:27:23 UTC
I can change this to 0.19.4, but I'd rather wait until the scheduled 0.20 release is out and go for stabilizing that instead.

WDYT?
Comment 12 Maxim Ganetsky 2022-04-02 22:09:25 UTC
I have no objections. But can you elaborate why do you prefer to wait for 0.20?
Comment 13 Bernd 2022-04-03 08:19:16 UTC
OpenNI is no depedency for freecad, OpenNI2 is, so removed it from the list.

(In reply to Maxim Ganetsky from comment #12)
> I have no objections. But can you elaborate why do you prefer to wait for
> 0.20?

Looking at the package list, most of those packages don't have a stable version at all.
I have only very limited time for working on my packages and it seems the arch teams as well. The bug has been open for 3 months, but amd64 team hasn't done any stabilization on it.
Several of the packages have high build times and installing freecad on a fresh system pulls in ~200 packages. So building e.g. opencascade, vtk or freecad with tatt or a similar tool several times with different USE flag settings consumes a lot of time and resources.

I'd like to get some of those dependencies stabilized in the time we have before 0.20. is getting released. This would ease the stabilization process for freecad as well.

Anyway, I'm updating the package list for the removed 0.19.2 to keep this bug valid.
Comment 14 NATTkA bot gentoo-dev 2022-04-03 08:24:31 UTC Comment hidden (obsolete)
Comment 15 NATTkA bot gentoo-dev 2022-04-03 08:32:32 UTC Comment hidden (obsolete)
Comment 16 Andreas Sturmlechner gentoo-dev 2022-04-03 13:46:27 UTC
(In reply to Bernd from comment #13)
> I have only very limited time for working on my packages and it seems the
> arch teams as well. The bug has been open for 3 months, but amd64 team
> hasn't done any stabilization on it.
That's because no arches were added yet.

But whether a version is eligible for stabilisation at all is entirely in the purview of its maintainer, and also FreeCAD dependencies' maintainers should be CCed here not to accidentally stabilise something that is not meant to be.
Comment 17 Bernd 2022-04-03 21:05:23 UTC
(In reply to Andreas Sturmlechner from comment #16)
> (In reply to Bernd from comment #13)
> > I have only very limited time for working on my packages and it seems the
> > arch teams as well. The bug has been open for 3 months, but amd64 team
> > hasn't done any stabilization on it.
> That's because no arches were added yet.
> 

I noticed it this morning, but was busy adding CC-ARCHES.

Thanks for hint on adding dep maintainers as well.
Comment 18 NATTkA bot gentoo-dev 2022-04-18 11:36:30 UTC Comment hidden (obsolete)
Comment 19 NATTkA bot gentoo-dev 2022-04-19 04:36:30 UTC Comment hidden (obsolete)
Comment 20 Joonas Niilola gentoo-dev 2022-04-25 13:49:56 UTC
Apart for vtk failing test phase (bug filed as https://bugs.gentoo.org/840776) everything else compiles and I can run freecad in a stable amd64 container.
Comment 21 Joonas Niilola gentoo-dev 2022-05-18 14:23:35 UTC
(In reply to Joonas Niilola from comment #20)
> Apart for vtk failing test phase (bug filed as
> https://bugs.gentoo.org/840776) everything else compiles and I can run
> freecad in a stable amd64 container.

Aaand things seem to have broken since.
Comment 22 Joonas Niilola gentoo-dev 2022-05-18 14:27:31 UTC
Created attachment 779426 [details]
opencascade-7.5.3-r6:20220518-081231.log.xz
Comment 23 Joonas Niilola gentoo-dev 2022-05-19 12:11:23 UTC
amd64 done

all arches done
Comment 24 Joonas Niilola gentoo-dev 2022-05-19 12:11:57 UTC
These look like bunch of sensitive applications... so I'm really hoping this doesn't end up biting us hard.